.footerAll_black{
    display: flex;
    width: 100%;
    background-color: rgb(0, 0, 0);
    justify-content: center;
}


.footerAll{
    justify-content: space-between;
    display: flex;
    width: 100%;
    /* background-color: rgb(0, 0, 0); */
    overflow: hidden;
    max-width: 1900px;
}

.footerFabi {
    padding: 0 5rem;
    width: 100%;
    background-color: rgb(0, 0, 0);
    color: white;
    align-items: top;
    justify-content: space-between;
    display: flex;
    position: relative;
    margin: 0;
}

.footerFabi .logo_fabi_restore { 
    max-width : 100px;
    max-height : 100px;
    margin-top: 70%;
    margin-right: 2rem;
    display: flex;
}

.copyright {
    padding: 10px;
    width: 100%;
    background-color: black;
    border-top: 2px solid rgba(255, 255, 255, 0.111);
    color: white;
    align-items: center;
    justify-content: center;
    text-align: center;
    display: flex;
    gap: 5px;
}

.copyright a{
    font-size: medium;
    text-decoration: underline;
}

.copyright p {
    margin: 0;
}



.navigation  {
    padding: 40px 20px;
    align-items: center;
    display: flex;
    flex-direction: column;
    margin-right: 1rem;
}

.contact {
    align-items: flex-start;
    display: flex;
    flex-direction: column;
    padding: 40px 20px;
    /* border: blue solid */
}

.contact h1 {
    align-items: center;
    margin: 0 auto;
    margin-bottom: 40px;
}

.contact-item {
    display: flex;
    align-items: center;
    width: 100%;
    margin-bottom: 25px;
}

.contact-item img {
    margin-right: 10px;
    width: 25px;
    height: 25px;
    flex-shrink: 0;
}

.contact-item p {
    margin: 0;
    font-size: large;
    flex-grow: 1;
    align-items: center;
}

.navigation h1, .contact h1 {
    text-transform: uppercase;
}

.navigation h1 {
    margin-bottom: 35px;
}

.navigation a {
    margin-bottom: 15px;
    cursor: pointer;
    position: relative;
    padding: 5px;
}

/* EFFET surlignage dynamique */

.navigation a::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 2px;
    background-color: white;
    transform: scaleX(0);
    transition: transform 0.5s ease;
}

.navigation a:hover::after {
    transform: scaleX(1);
    transform-origin: left;
}

.navigation a::after {
    transform-origin: right;
}


.croquis {
    display: flex;
    justify-content: center;
    align-items: center;
}

.croquis_img {
    max-height: 280px;
}



@media (min-width: 1000px) {
    .footerFabi .logo_fabi_restore { 
        max-width : 150px;
        max-height : 150px;
        margin-top: 40%;
    }
}

@media (max-width: 1000px) {
    .croquis {
        display: none;
    }

    .footerFabi {
        padding: 0 2rem;
    }
}

@media (max-width: 680px) {
    .navigation {
        display: none;
    }

    .footerFabi {
        margin: auto 3rem;
    }
}

@media (max-width: 500px) {
    
    .footerFabi {
        margin: auto 1rem;
        padding: 0;
    }

    .contact h1 {
        font-size: x-large;
    }

    .contact p {
        font-size: medium;
    }
}

@media (max-width: 400px) {
    .footerFabi .logo_fabi_restore {
        display: none;
    }

    .contact{
        margin: auto;
    }
}